# Class: MaiaVM

## MaiaVM()

#### new MaiaVM()

MaiaScript virtual machine.

Source:
  - MaiaVM.js, line 24

### Methods

#### compile()

Compiles MaiaScript code, contained in
This method must be called from the onLoad event of the document's
tag, as in the following example:
...

Source:
  - MaiaVM.js, line 54

#### run()

Compiles the MaiaScript code passed as a command line argument and executes the code in the JavaScript interpreter from which this method was invoked.

Source:
  - MaiaVM.js, line 150

#### (inner) init()

Creates the attributes of the class.

Source:
  - MaiaVM.js, line 30